Name:          mailspring
Version:       1.15.1
Release:       1mamba
Summary:       A beautiful, fast and fully open source mail client
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.getmailspring.com/
Source:        https://github.com/Foundry376/Mailspring/releases/download/%{version}/mailspring-%{version}-0.1.x86_64.rpm
License:       GPL, Custom
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libdb53-devel
BuildRequires: libdbus-devel
BuildRequires: libdrm-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libkrb5-devel
BuildRequires: libmesa-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libopenssl100
BuildRequires: libpango-devel
BuildRequires: libstdc++6-devel
BuildRequires: libudev-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END

%description
A beautiful, fast and fully open source mail client.


%global __provides_exclude_from ^%{_datadir}/mailspring/.*$
%global __requires_exclude ^libffmpeg.so|^libsasl2.so.*

%prep
%setup -q -c %{name}-%{version} -T
rpm2cpio %{SOURCE0} | cpio -id

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d -m0755 %{buildroot}%{_prefix}
cp -a usr/* %{buildroot}%{_prefix}
rm -rf %{buildroot}%{_prefix}/lib/.build-id

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mailspring
%{_datadir}/appdata/mailspring.appdata.xml
%{_datadir}/applications/Mailspring.desktop
%dir %{_datadir}/mailspring
%{_datadir}/mailspring/*
%{_datadir}/icons/hicolor/*/apps/mailspring.png

%changelog
* Mon Jan 27 2025 Automatic Build System <autodist@openmamba.org> 1.15.1-1mamba
- automatic version update by autodist

* Fri Jan 03 2025 Automatic Build System <autodist@openmamba.org> 1.15.0-1mamba
- automatic version update by autodist

* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 1.14.0-1mamba
- automatic version update by autodist

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 1.13.3-1mamba
- automatic version update by autodist

* Mon Dec 11 2023 Automatic Build System <autodist@mambasoft.it> 1.13.2-1mamba
- automatic version update by autodist

* Thu Nov 23 2023 Automatic Build System <autodist@mambasoft.it> 1.13.1-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Sun Jul 30 2023 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Tue Jan 03 2023 Automatic Build System <autodist@mambasoft.it> 1.10.8-1mamba
- automatic version update by autodist

* Tue Nov 22 2022 Automatic Build System <autodist@mambasoft.it> 1.10.7-1mamba
- automatic version update by autodist

* Sat Nov 12 2022 Automatic Build System <autodist@mambasoft.it> 1.10.6-1mamba
- automatic version update by autodist

* Thu Aug 11 2022 Automatic Build System <autodist@mambasoft.it> 1.10.5-1mamba
- automatic version update by autodist

* Wed Aug 10 2022 Automatic Build System <autodist@mambasoft.it> 1.10.4-1mamba
- automatic version update by autodist

* Wed Jul 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.3-1mamba
- package created using the webbuild interface
